Subject: FVWM: Module.pm, writing fvwm modules in perl, documentation

From: "Riswick, J.G.A. van" <[email-masked]>
Date: Fri, 24 May 2002 10:18:26 +0200

HI

I thought I sent this mail yesterday, but it doesn't seem
to have appeared on the list. So please ignore if it 
appeared twice. 

In my fvwm setup I use a perl script that communicates
with fvwm via FvwmCommand. Now, I call the script on 
various occasions, for instance when the root-menu pops
up, to add some entries dynamically. This however makes
things a bit slow sometimes, because an executable has
to be started every time the root-menu pops up. 

I was wondering if it would speed up things a lot if
I'd program the setup script as an fvwm module. It would
also be nice if this could be programmed in perl. I 
stumbeled upon Module.pm. Is this meant to program fvwm 
modules in perl? I can't seem to find any documentation
or example modules unfortunately. 

best regards

jos
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].